---
title: "Counts a product's entries by status and section."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › entry

`GET /v1/stores/{store}/products/{product}/entries/stats`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `entry:read`

## Path parameters

- `store` (`entryStats.path.store`; string, required) — The store's id.
- `product` (`entryStats.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/entries/stats' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/entries/stats';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/entries/stats"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Counts a product's entries by status and section.

#### Example

```json
{
  "students": 0,
  "average_completion": 0,
  "entries": [
    {
      "entry_id": "string",
      "completions": 0,
      "completed_fraction": 0
    }
  ]
}
```

- `students` (`entryStats.response.200.students`; number, required)
- `average_completion` (`entryStats.response.200.average_completion`; any of, required)
  - any of: `number`, `null`
- `entries` (`entryStats.response.200.entries`; array<object>, required)
  - `entry_id` (`entryStats.response.200.entries.entry_id`; string, required)
  - `completions` (`entryStats.response.200.entries.completions`; number, required)
  - `completed_fraction` (`entryStats.response.200.entries.completed_fraction`; any of, required)
    - any of: `number`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`entryStats.response.default.type`; string, required)
  - format `uri`
- `title` (`entryStats.response.default.title`; string, required)
- `status` (`entryStats.response.default.status`; integer, required)
- `detail` (`entryStats.response.default.detail`; string, required)
- `code` (`entryStats.response.default.code`; string, optional)
- `context` (`entryStats.response.default.context`; object, optional)
- `reached_core` (`entryStats.response.default.reached_core`; boolean, optional)
- `core_answer` (`entryStats.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/entry-stats/index.md
